package com.plannaplan;

import com.plannaplan.entities.User;
import com.plannaplan.services.UserService;
import com.plannaplan.types.UserRoles;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;

@SpringBootApplication
public class App {

    public final static String API_VERSION = "v1";

    @Autowired
    UserService userService;

    public static void main(String[] args) {
        Logo logo = new Logo("beta");
        System.out.println(logo.getLogo());
        System.out.println(
                "|=============================================================================================|");
        SpringApplication.run(App.class, args);
    }

    @EventListener(ApplicationReadyEvent.class)
    public void importData() {
        User testUser = new User();
        testUser.setEmail("notexisting@mail.comain");
        testUser.setName("Tom");
        testUser.setSurname("Riddle");
        testUser.setRole(UserRoles.TEST_USER);
        this.userService.save(testUser);

        User filip = new User();
        filip.setEmail("filizy@st.amu.edu.pl");
        filip.setName("Filip");
        filip.setSurname("Izydorczyk");
        filip.setRole(UserRoles.STUDENT);
        this.userService.save(filip);
    }
}
